Summary:	Daemon to balance irq's across multiple CPUs
Name:		irqbalance
Version:	0.55
Release:	%mkrel 9
License:	GPLv2+
Group:		System/Kernel and hardware
URL:            http://irqbalance.org/
Source0:	http://www.irqbalance.org/releases/%name-%version.tar.bz2
Source1:	%name.init
Source2:	%name.sysconfig
Source3:	irqbalance.1
# Fedora patches:
Patch0: irqbalance-pie.patch
Patch1: irqbalance-0.55-cputree-parse.patch
Patch2: irqbalance-0.55-pid-file.patch
# (fc) 0.55-8mdv enable libcap-ng support (Fedora)
Patch3: irqbalance-0.55-config-capng.patch
BuildRoot:      %_tmppath/%name-%version-buildroot
Requires(post,preun):		rpm-helper
BuildRequires: gccmakedep
BuildRequires: glib2-devel
%if %mdkversion >= 201010
BuildRequires: libcap-ng-devel
%endif

%description
irqbalance is a daemon that evenly distributes IRQ load across
multiple CPUs for enhanced performance.

%prep
%setup -q 

#%patch0 -p1
%patch1 -p1
%patch2 -p2
%patch3 -p1 -b .libcap-ng

#needed by patch3
touch NEWS README AUTHORS ChangeLog
autoreconf -i

%build
%configure
%make


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi

mkdir -p $RPM_BUILD_ROOT{%_sbindir,%_mandir/man1}
install irqbalance $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT{%{_initrddir},%{_sysconfdir}/sysconfig}
install %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/irqbalance
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/irqbalance
install %{SOURCE3} %{buildroot}%_mandir/man1/

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi


%post
%_post_service irqbalance

%preun
%_preun_service irqbalance


%files
%defattr(-,root,root)
%_mandir/man1/*
%_sbindir/*
%{_initrddir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/*


%changelog
* Wed Feb 24 2010 Thierry Vignaud <tvignaud@mandriva.com> 0.55-9mdv2009.0
+ Revision: 510481
- fix build on older distros

* Sun Feb 21 2010 Thierry Vignaud <tvignaud@mandriva.com> 0.55-9mdv2010.1
+ Revision: 509301
- patch 2: fix irqbalance doing nothing (#57523, RH#433270)

* Mon Feb 15 2010 Frederic Crozat <fcrozat@mandriva.com> 0.55-8mdv2010.1
+ Revision: 506182
- Update initscript to fix rpmlint warnings
- Patch3 (Fedora): use libcap-ng

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.55-7mdv2010.0
+ Revision: 425387
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.55-6mdv2009.1
+ Revision: 351254
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.55-5mdv2009.0
+ Revision: 221643
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.55-4mdv2008.1
+ Revision: 119428
- license is not OSL but GPL
- add fedora patches: missing man page, fix for a stale PID file created by
  irqbalance --one-shot (the default on multicore CPU's with shared caches),
  compile -with -fPIE
- sync sysconfig & init scripts with fedora (thus fixing #31387)
- better description
- inline name/version/release
- use requires(post,preun) instead of prereq
- add download URL
- fix summary-ended-with-dot

* Tue May 15 2007 Olivier Blin <oblin@mandriva.com> 0.55-3mdv2008.0
+ Revision: 26903
- update URL

* Tue May 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.55-2mdv2008.0
+ Revision: 26868
- buildrequires glib2-devel
- cleanups
- use %%mkrel
- Import irqbalance





* Mon May 14 2007 Nicolas Chipaux <chipaux@mandriva.com> 0.55-1mdv
- new release (in fact some missed release ...)

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-1mdk
- new release
- start it in runlevel 2 too

* Tue Jun 01 2004 Marcel Pol <mpol@mandrake.org> 0.09-1mdk
- 0.09

* Tue Sep 09 2003 Marcel Pol <mpol@gmx.net> 0.06-1mdk
- initial mandrake contrib
